summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xtests/shell/testcases/chains/netdev_chain_06
-rwxr-xr-xtests/shell/testcases/json/netdev2
-rwxr-xr-xtests/shell/testcases/listing/0020flowtable_02
3 files changed, 5 insertions, 5 deletions
diff --git a/tests/shell/testcases/chains/netdev_chain_0 b/tests/shell/testcases/chains/netdev_chain_0
index 67cd715f..41e72441 100755
--- a/tests/shell/testcases/chains/netdev_chain_0
+++ b/tests/shell/testcases/chains/netdev_chain_0
@@ -2,19 +2,19 @@
ip link add d0 type dummy || {
echo "Skipping, no dummy interface available"
- exit 0
+ exit 77
}
trap "ip link del d0" EXIT
ip link add d1 type dummy || {
echo "Skipping, no dummy interface available"
- exit 0
+ exit 77
}
trap "ip link del d1" EXIT
ip link add d2 type dummy || {
echo "Skipping, no dummy interface available"
- exit 0
+ exit 77
}
trap "ip link del d2" EXIT
diff --git a/tests/shell/testcases/json/netdev b/tests/shell/testcases/json/netdev
index a16a4f5e..9f603381 100755
--- a/tests/shell/testcases/json/netdev
+++ b/tests/shell/testcases/json/netdev
@@ -2,7 +2,7 @@
ip link add d0 type dummy || {
echo "Skipping, no dummy interface available"
- exit 0
+ exit 77
}
trap "ip link del d0" EXIT
diff --git a/tests/shell/testcases/listing/0020flowtable_0 b/tests/shell/testcases/listing/0020flowtable_0
index 47488d8e..210289d7 100755
--- a/tests/shell/testcases/listing/0020flowtable_0
+++ b/tests/shell/testcases/listing/0020flowtable_0
@@ -43,7 +43,7 @@ EXPECTED3="table ip filter {
ip link add d0 type dummy || {
echo "Skipping, no dummy interface available"
- exit 0
+ exit 77
}
trap "ip link del d0" EXIT